<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>StreamInterface Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="class_stream_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">StreamInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>A stream interface.  
 <a href="class_stream_interface.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for StreamInterface:</div>
<div class="dyncontent">
<div class="center"><img src="class_stream_interface__inherit__graph.png" border="0" usemap="#_stream_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="_stream_interface_inherit__map" id="_stream_interface_inherit__map">
<area shape="rect" id="node3" href="class_serial_interface.html" title="The low&#45;level serial communication class. " alt="" coords="5,155,109,181"/>
<area shape="rect" id="node4" href="class_usb_interface.html" title="An IoInterface for dealing specifically with Xsens USB devices. " alt="" coords="134,155,228,181"/>
<area shape="rect" id="node2" href="struct_io_interface.html" title="An abstract IO interface. " alt="" coords="78,5,159,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a747b4b4bc61925c6750ee35a54de30c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a747b4b4bc61925c6750ee35a54de30c5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_stream_interface.html#a747b4b4bc61925c6750ee35a54de30c5">~StreamInterface</a> ()</td></tr>
<tr class="memdesc:a747b4b4bc61925c6750ee35a54de30c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the stream interface. <br /></td></tr>
<tr class="separator:a747b4b4bc61925c6750ee35a54de30c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac787d6f9451b39e5315cc19993249861"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac787d6f9451b39e5315cc19993249861"></a>
virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_stream_interface.html#ac787d6f9451b39e5315cc19993249861">setTimeout</a> (uint32_t ms)=0</td></tr>
<tr class="memdesc:ac787d6f9451b39e5315cc19993249861"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the read/write timeout to <em>ms</em> A timeout of 0 means non-blocking operation of <a class="el" href="struct_io_interface.html#a8e8f067dac101d2ef49080956ad53970" title="Write the data contained in data to the device. ">writeData()</a> and <a class="el" href="struct_io_interface.html#a33818cfaffd39a7e1382e465d26efc0a" title="Read at most maxLength bytes from the device into data. ">readData()</a>. <br /></td></tr>
<tr class="separator:ac787d6f9451b39e5315cc19993249861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6a8c7d0c4611ff1553472740a01a019"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6a8c7d0c4611ff1553472740a01a019"></a>
virtual uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_stream_interface.html#ad6a8c7d0c4611ff1553472740a01a019">getTimeout</a> () const  =0</td></tr>
<tr class="memdesc:ad6a8c7d0c4611ff1553472740a01a019"><td class="mdescLeft">&#160;</td><td class="mdescRight">The timeout used for read/write operations. <br /></td></tr>
<tr class="separator:ad6a8c7d0c4611ff1553472740a01a019"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_struct_io_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_struct_io_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="struct_io_interface.html">IoInterface</a></td></tr>
<tr class="memitem:a738a8cb24aa12562b04c5067bd3d99b7 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a738a8cb24aa12562b04c5067bd3d99b7"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a738a8cb24aa12562b04c5067bd3d99b7">~IoInterface</a> ()</td></tr>
<tr class="memdesc:a738a8cb24aa12562b04c5067bd3d99b7 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a738a8cb24aa12562b04c5067bd3d99b7 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3256915d0f4056dec116d500c9c2382c inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a3256915d0f4056dec116d500c9c2382c">close</a> (void)=0</td></tr>
<tr class="memdesc:a3256915d0f4056dec116d500c9c2382c inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close the connection to the device.  <a href="#a3256915d0f4056dec116d500c9c2382c">More...</a><br /></td></tr>
<tr class="separator:a3256915d0f4056dec116d500c9c2382c inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac5cc2c3707b24cc15f9ab15914448fa inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#aac5cc2c3707b24cc15f9ab15914448fa">flushData</a> (void)=0</td></tr>
<tr class="memdesc:aac5cc2c3707b24cc15f9ab15914448fa inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flush all data in the buffers to and from the device.  <a href="#aac5cc2c3707b24cc15f9ab15914448fa">More...</a><br /></td></tr>
<tr class="separator:aac5cc2c3707b24cc15f9ab15914448fa inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a576dc64a3aa88825d7da4e38361c9864 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a576dc64a3aa88825d7da4e38361c9864">isOpen</a> (void) const  =0</td></tr>
<tr class="memdesc:a576dc64a3aa88825d7da4e38361c9864 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the object has a connection to a device.  <a href="#a576dc64a3aa88825d7da4e38361c9864">More...</a><br /></td></tr>
<tr class="separator:a576dc64a3aa88825d7da4e38361c9864 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af675487959bd1961e7ca815e4abcebee inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#af675487959bd1961e7ca815e4abcebee">getLastResult</a> (void) const  =0</td></tr>
<tr class="memdesc:af675487959bd1961e7ca815e4abcebee inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the last result value produced by this interface.  <a href="#af675487959bd1961e7ca815e4abcebee">More...</a><br /></td></tr>
<tr class="separator:af675487959bd1961e7ca815e4abcebee inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e8f067dac101d2ef49080956ad53970 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a8e8f067dac101d2ef49080956ad53970">writeData</a> (const <a class="el" href="struct_xs_byte_array.html">XsByteArray</a> &amp;data, XsSize *written=NULL)=0</td></tr>
<tr class="memdesc:a8e8f067dac101d2ef49080956ad53970 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the data contained in <em>data</em> to the device.  <a href="#a8e8f067dac101d2ef49080956ad53970">More...</a><br /></td></tr>
<tr class="separator:a8e8f067dac101d2ef49080956ad53970 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33818cfaffd39a7e1382e465d26efc0a inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a33818cfaffd39a7e1382e465d26efc0a">readData</a> (XsSize maxLength, <a class="el" href="struct_xs_byte_array.html">XsByteArray</a> &amp;data)=0</td></tr>
<tr class="memdesc:a33818cfaffd39a7e1382e465d26efc0a inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read at most <em>maxLength</em> bytes from the device into <em>data</em>.  <a href="#a33818cfaffd39a7e1382e465d26efc0a">More...</a><br /></td></tr>
<tr class="separator:a33818cfaffd39a7e1382e465d26efc0a inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a567804b45988f0111362d600babd4627 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a567804b45988f0111362d600babd4627">open</a> (const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;portInfo, uint32_t readBufSize=(XS_MAXMSGLEN *8), uint32_t writeBufSize=XS_MAXMSGLEN, <a class="el" href="struct_io_interface.html#a24230835a198e4af06866402ac41f22a">PortOptions</a> options=PO_XsensDefaults)</td></tr>
<tr class="memdesc:a567804b45988f0111362d600babd4627 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open a communication channel to the given port info.  <a href="#a567804b45988f0111362d600babd4627">More...</a><br /></td></tr>
<tr class="separator:a567804b45988f0111362d600babd4627 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9763f4a8ea90af8abeab4ada6f36502 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#aa9763f4a8ea90af8abeab4ada6f36502">waitForData</a> (XsSize maxLength, <a class="el" href="struct_xs_byte_array.html">XsByteArray</a> &amp;data)</td></tr>
<tr class="memdesc:aa9763f4a8ea90af8abeab4ada6f36502 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait for data to arrive or a timeout to occur.  <a href="#aa9763f4a8ea90af8abeab4ada6f36502">More...</a><br /></td></tr>
<tr class="separator:aa9763f4a8ea90af8abeab4ada6f36502 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a030b6c12d92276a494fc926e578ada79 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a030b6c12d92276a494fc926e578ada79">cancelIo</a> (void) const </td></tr>
<tr class="memdesc:a030b6c12d92276a494fc926e578ada79 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cancel any pending io requests.  <a href="#a030b6c12d92276a494fc926e578ada79">More...</a><br /></td></tr>
<tr class="separator:a030b6c12d92276a494fc926e578ada79 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f4b165b49c75cb28bc1e4fffaf533d inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#ae4f4b165b49c75cb28bc1e4fffaf533d">appendData</a> (const <a class="el" href="struct_xs_byte_array.html">XsByteArray</a> &amp;bdata)</td></tr>
<tr class="memdesc:ae4f4b165b49c75cb28bc1e4fffaf533d inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write data to the end of the file.  <a href="#ae4f4b165b49c75cb28bc1e4fffaf533d">More...</a><br /></td></tr>
<tr class="separator:ae4f4b165b49c75cb28bc1e4fffaf533d inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a108ea51f7057bc5f762052777e7baa00 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a108ea51f7057bc5f762052777e7baa00">closeAndDelete</a> (void)</td></tr>
<tr class="memdesc:a108ea51f7057bc5f762052777e7baa00 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close the file and delete it.  <a href="#a108ea51f7057bc5f762052777e7baa00">More...</a><br /></td></tr>
<tr class="separator:a108ea51f7057bc5f762052777e7baa00 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e82060ef66d73b95b383f75867f3e0f inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a3e82060ef66d73b95b383f75867f3e0f">create</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename)</td></tr>
<tr class="memdesc:a3e82060ef66d73b95b383f75867f3e0f inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an empty file.  <a href="#a3e82060ef66d73b95b383f75867f3e0f">More...</a><br /></td></tr>
<tr class="separator:a3e82060ef66d73b95b383f75867f3e0f inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c4a40c13cdd1dbd36da1323f8d8236c inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a5c4a40c13cdd1dbd36da1323f8d8236c">deleteData</a> (<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> start, XsSize length)</td></tr>
<tr class="memdesc:a5c4a40c13cdd1dbd36da1323f8d8236c inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete the given data from the file.  <a href="#a5c4a40c13cdd1dbd36da1323f8d8236c">More...</a><br /></td></tr>
<tr class="separator:a5c4a40c13cdd1dbd36da1323f8d8236c inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6256ce5c2def7b6f6961cedd8199e35e inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a6256ce5c2def7b6f6961cedd8199e35e">find</a> (const <a class="el" href="struct_xs_byte_array.html">XsByteArray</a> &amp;needleV, <a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> &amp;pos)</td></tr>
<tr class="memdesc:a6256ce5c2def7b6f6961cedd8199e35e inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a string of bytes in the file.  <a href="#a6256ce5c2def7b6f6961cedd8199e35e">More...</a><br /></td></tr>
<tr class="separator:a6256ce5c2def7b6f6961cedd8199e35e inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7acf94e2070b556290d969a324e8b93 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#af7acf94e2070b556290d969a324e8b93">getFileSize</a> (void) const </td></tr>
<tr class="memdesc:af7acf94e2070b556290d969a324e8b93 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the size of the file.  <a href="#af7acf94e2070b556290d969a324e8b93">More...</a><br /></td></tr>
<tr class="separator:af7acf94e2070b556290d969a324e8b93 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bbdfbb5caad826f6e6d81a73940fd0d inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a7bbdfbb5caad826f6e6d81a73940fd0d">getName</a> (<a class="el" href="struct_xs_string.html">XsString</a> &amp;filename) const </td></tr>
<tr class="memdesc:a7bbdfbb5caad826f6e6d81a73940fd0d inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the filename that was last successfully opened.  <a href="#a7bbdfbb5caad826f6e6d81a73940fd0d">More...</a><br /></td></tr>
<tr class="separator:a7bbdfbb5caad826f6e6d81a73940fd0d inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a396d5028db152401dd83cfe8f0b6977e inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a396d5028db152401dd83cfe8f0b6977e">getReadPosition</a> (void) const </td></tr>
<tr class="memdesc:a396d5028db152401dd83cfe8f0b6977e inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current read position.  <a href="#a396d5028db152401dd83cfe8f0b6977e">More...</a><br /></td></tr>
<tr class="separator:a396d5028db152401dd83cfe8f0b6977e inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce051fb4db1dbace80bb0545b9cd343 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a6ce051fb4db1dbace80bb0545b9cd343">getWritePosition</a> (void) const </td></tr>
<tr class="memdesc:a6ce051fb4db1dbace80bb0545b9cd343 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the current write position.  <a href="#a6ce051fb4db1dbace80bb0545b9cd343">More...</a><br /></td></tr>
<tr class="separator:a6ce051fb4db1dbace80bb0545b9cd343 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d5e78791e017e06f8beaa6561bd844 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#ad0d5e78791e017e06f8beaa6561bd844">insertData</a> (<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> start, const <a class="el" href="struct_xs_byte_array.html">XsByteArray</a> &amp;data)</td></tr>
<tr class="memdesc:ad0d5e78791e017e06f8beaa6561bd844 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Insert the given data into the file.  <a href="#ad0d5e78791e017e06f8beaa6561bd844">More...</a><br /></td></tr>
<tr class="separator:ad0d5e78791e017e06f8beaa6561bd844 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a905628de220b542bdfbf3692a55de428 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a905628de220b542bdfbf3692a55de428">isReadOnly</a> (void) const </td></tr>
<tr class="memdesc:a905628de220b542bdfbf3692a55de428 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether the file is read-only or not.  <a href="#a905628de220b542bdfbf3692a55de428">More...</a><br /></td></tr>
<tr class="separator:a905628de220b542bdfbf3692a55de428 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a041ed4c0878f91fa8c41a72aa7b3e802 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a041ed4c0878f91fa8c41a72aa7b3e802">open</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename, bool createNew, bool readOnly)</td></tr>
<tr class="memdesc:a041ed4c0878f91fa8c41a72aa7b3e802 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open a file.  <a href="#a041ed4c0878f91fa8c41a72aa7b3e802">More...</a><br /></td></tr>
<tr class="separator:a041ed4c0878f91fa8c41a72aa7b3e802 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e75151a26492f0fa9666edabc09d817 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a6e75151a26492f0fa9666edabc09d817">setReadPosition</a> (<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> pos)</td></tr>
<tr class="memdesc:a6e75151a26492f0fa9666edabc09d817 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the new absolute read position.  <a href="#a6e75151a26492f0fa9666edabc09d817">More...</a><br /></td></tr>
<tr class="separator:a6e75151a26492f0fa9666edabc09d817 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a115109da1f9f05a36222f00cd569cd52 inherit pub_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a115109da1f9f05a36222f00cd569cd52">setWritePosition</a> (<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> pos=-1)</td></tr>
<tr class="memdesc:a115109da1f9f05a36222f00cd569cd52 inherit pub_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the new absolute write position.  <a href="#a115109da1f9f05a36222f00cd569cd52">More...</a><br /></td></tr>
<tr class="separator:a115109da1f9f05a36222f00cd569cd52 inherit pub_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ab40993736e0f3c472c19293355a26389"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab40993736e0f3c472c19293355a26389"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_stream_interface.html#ab40993736e0f3c472c19293355a26389">StreamInterface</a> ()</td></tr>
<tr class="memdesc:ab40993736e0f3c472c19293355a26389"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a stream interface. <br /></td></tr>
<tr class="separator:ab40993736e0f3c472c19293355a26389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_struct_io_interface"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_struct_io_interface')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="struct_io_interface.html">IoInterface</a></td></tr>
<tr class="memitem:a0a4be67f0496efa12593cc69a802d784 inherit pro_methods_struct_io_interface"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a4be67f0496efa12593cc69a802d784"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a0a4be67f0496efa12593cc69a802d784">IoInterface</a> ()</td></tr>
<tr class="memdesc:a0a4be67f0496efa12593cc69a802d784 inherit pro_methods_struct_io_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:a0a4be67f0496efa12593cc69a802d784 inherit pro_methods_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_struct_io_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_struct_io_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="struct_io_interface.html">IoInterface</a></td></tr>
<tr class="memitem:a24230835a198e4af06866402ac41f22a inherit pub_types_struct_io_interface"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24230835a198e4af06866402ac41f22a"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_io_interface.html#a24230835a198e4af06866402ac41f22a">PortOptions</a> { <br />
&#160;&#160;<b>PO_NoFlowControl</b> = 0, 
<b>PO_RtsCtsFlowControl</b> = (1 &lt;&lt; 0), 
<b>PO_DtrDsrFlowControl</b> = (1 &lt;&lt; 1), 
<b>PO_XonXoffFlowControl</b> = (1 &lt;&lt; 2), 
<br />
&#160;&#160;<b>PO_OneStopBit</b> = 0, 
<b>PO_TwoStopBits</b> = (1 &lt;&lt; 3), 
<b>PO_XsensDefaults</b> = (PO_NoFlowControl|PO_TwoStopBits)
<br />
 }<tr class="memdesc:a24230835a198e4af06866402ac41f22a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Options for flow control and stopbits which must be used when opening a port. <br /></td></tr>
</td></tr>
<tr class="separator:a24230835a198e4af06866402ac41f22a inherit pub_types_struct_io_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A stream interface. </p>
<p>This class provides an interface for dealing with streaming I/O devices, such as a COM port or a USB port. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
